package net.youapps.calcyou.data

object KeyMap {
    val numbers = arrayOf(
        "0",
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9"
    )
    val superscriptNumbers = arrayOf(
        "\u2070", // ⁰
        "\u00B9", // ¹
        "\u00B2", // ²
        "\u00B3", // ³
        "\u2074", // ⁴
        "\u2075", // ⁵
        "\u2076", // ⁶
        "\u2077", // ⁷
        "\u2078", // ⁸
        "\u2079" // ⁹
    )

    val subscriptNumbers = arrayOf(
        "\u2080", // ₀
        "\u2081", // ₁
        "\u2082", // ₂
        "\u2083", // ₃
        "\u2084", // ₄
        "\u2085", // ₅
        "\u2086", // ₆
        "\u2087", // ₇
        "\u2088", // ₈
        "\u2089" // ₉
    )

    val arrows = arrayOf(
        "\u2192", // →
        "\u2190", // ←
        "\u2191", // ↑
        "\u2193", // ↓
        "\u2194", // ↔
        "\u2195", // ↕
        "\u21cb", // ⇋
        "\u21cc", // ⇌
        "\u21c9", // ⇉
        "\u21c4", // ⇄
        "\u21c5", // ⇅
        "\u21c6", // ⇆
        "\u21c7", // ⇇
        "\u21c8", // ⇈
        "\u21ca", // ⇊
        "\u21cd", // ⇍
        "\u21ce", // ⇎
        "\u21cf", // ⇏
        "\u21d0", // ⇐
        "\u21d1", // ⇑
        "\u21d2", // ⇒
        "\u21d3", // ⇓
        "\u21d4", // ⇔
        "\u21d5", // ⇕
        "\u219e", // ↞
        "\u219f", // ↟
        "\u21a0", // ↠
        "\u21a1", // ↡
        "\u21be", // ↾
        "\u21bf", // ↿
        "\u21c0", // ⇀
        "\u21c1", // ⇁
        "\u21c2", // ⇂
        "\u21c3" // ⇃
    )

    val simpleMath = arrayOf(
        "\u002b", // +
        "\u003c", // <
        "\u003d", // =
        "\u2248", // ≈
        "\u003e", // >
        "\u00b1", // ±
        "\u00d7", // ×
        "\u00f7", // ÷
        "\u2044", // ⁄
        "\u2052", // ⁒
        "\u00b1", // ±
        "\u007e", // ~
        "\u00ac", // ¬
        "\u2219", // ∙
        "\u221b", // ∛
        "\u221c", // ∜
        "\u2264", // ≤
        "\u2265" // ≥
    )

    val englishUppercaseLetters = arrayOf(
        "\u0041", // A
        "\u0042", // B
        "\u0043", // C
        "\u0044", // D
        "\u0045", // E
        "\u0046", // F
        "\u0047", // G
        "\u0048", // H
        "\u0049", // I
        "\u004A", // J
        "\u004B", // K
        "\u004C", // L
        "\u004D", // M
        "\u004E", // N
        "\u004F", // O
        "\u0050", // P
        "\u0051", // Q
        "\u0052", // R
        "\u0053", // S
        "\u0054", // T
        "\u0055", // U
        "\u0056", // V
        "\u0057", // W
        "\u0058", // X
        "\u0059", // Y
        "\u005A" // Z
    )

    val englishLowercaseLetters = arrayOf(
        "\u0061", // a
        "\u0062", // b
        "\u0063", // c
        "\u0064", // d
        "\u0065", // e
        "\u0066", // f
        "\u0067", // g
        "\u0068", // h
        "\u0069", // i
        "\u006A", // j
        "\u006B", // k
        "\u006C", // l
        "\u006D", // m
        "\u006E", // n
        "\u006F", // o
        "\u0070", // p
        "\u0071", // q
        "\u0072", // r
        "\u0073", // s
        "\u0074", // t
        "\u0075", // u
        "\u0076", // v
        "\u0077", // w
        "\u0078", // x
        "\u0079", // y
        "\u007A" // z
    )

    val greekUppercaseLetters = arrayOf(
        "\u0391", // Α
        "\u0392", // Β
        "\u0393", // Γ
        "\u0394", // Δ
        "\u0395", // Ε
        "\u0396", // Ζ
        "\u0397", // Η
        "\u0398", // Θ
        "\u0399", // Ι
        "\u039A", // Κ
        "\u039B", // Λ
        "\u039C", // Μ
        "\u039D", // Ν
        "\u039E", // Ξ
        "\u039F", // Ο
        "\u03A0", // Π
        "\u03A1", // Ρ
        "\u03A3", // Σ
        "\u03A4", // Τ
        "\u03A5", // Υ
        "\u03A6", // Φ
        "\u03A7", // Χ
        "\u03A8", // Ψ
        "\u03A9" // Ω
    )
    val greekLowercaseLetters = arrayOf(
        "\u03B1", // α
        "\u03B2", // β
        "\u03B3", // γ
        "\u03B4", // δ
        "\u03B5", // ε
        "\u03B6", // ζ
        "\u03B7", // η
        "\u03B8", // θ
        "\u03B9", // ι
        "\u03BA", // κ
        "\u03BB", // λ
        "\u03BC", // μ
        "\u03BD", // ν
        "\u03BE", // ξ
        "\u03BF", // ο
        "\u03C0", // π
        "\u03C1", // ρ
        "\u03C2", // ς
        "\u03C3", // σ
        "\u03C4", // τ
        "\u03C5", // υ
        "\u03C6", // φ
        "\u03C7", // χ
        "\u03C8", // ψ
        "\u03C9" // ω
    )

    val scienceSymbols = arrayOf(
        "\u221e", // ∞
        "\u03C0", // π
        "\u03A6", // Φ
        "\u212F", // ℯ
        "\u210F", // ℏ
        "\u221d", // ∝
        "\u2211", // ∑
        "\u222B", // ∫
        "\u222C", // ∬
        "\u222D", // ∭
        "\u222E", // ∮
        "\u222F", // ∯
        "\u2202", // ∂
        "\u2206", // ∆
        "\u2207", // ∇
        "\u220F", // ∏
        "\u2229", // ∩
        "\u222a", // ∪
        "\u2220" // ∠
    )

    val fractions = arrayOf(
        "\u00BD", // ½ one-half
        "\u2153", // ⅓ one-third
        "\u2154", // ⅔ two-thirds
        "\u00BC", // ¼ one-quarter
        "\u00BE", // ¾ three-quarters
        "\u2155", // ⅕ one-fifth
        "\u2156", // ⅖ two-fifths
        "\u2157", // ⅗ three-fifths
        "\u2158", // ⅘ four-fifths
        "\u2159", // ⅙ one-sixth
        "\u215A", // ⅚ five-sixths
        "\u215B", // ⅛ one-eighth
        "\u215C", // ⅜ three-eighths
        "\u215D", // ⅝ five-eighths
        "\u215E" // ⅞ seven-eighths
    )
}
